## net.sf.statcvs.model
Class Author

    java.lang.Object
      net.sf.statcvs.model.Author

All Implemented Interfaces:
  Comparable

    public class Author

extends Object
implements Comparable

Represents an author of one or more `Revision`s in a repository. TODO: Rename to `Login`

Version:
  $Id: Author.java,v 1.16 2009/08/20 17:44:05 benoitx Exp $
Author:
  Richard Cyganiak <richard@cyganiak.de>

Constructor Summary
`Author(String name)` Creates a new author.

Method Summary
`protected void` `addRevision(Revision revision)` Adds a revision for this author; called by `Revision` constructor
`int` `compareTo(Object o)` Compares the instance to another author, using their login names.
`boolean` `equals(Object rhs)`
`SortedSet` `getDirectories()` Returns all `Directory`s the author has committed a change to, sorted by name.
`String` `getEmail()`
`String` `getHomePageUrl()`
`String` `getImageUrl()`
`String` `getName()` Returns the author's login name.
`String` `getRealName()`
`SortedSet` `getRevisions()` Returns all `Revision`s of this author, sorted from oldest to most recent.
`String` `getTwitterUserId()`
`String` `getTwitterUserName()`
`int` `hashCode()`
`boolean` `isTwitterIncludeFlash()`
`boolean` `isTwitterIncludeHtml()`
`void` `setEmail(String email)`
`void` `setHomePageUrl(String homePageUrl)`
`void` `setImageUrl(String imageUrl)`
`void` `setRealName(String realName)`
`void` `setTwitterIncludeFlash(boolean twitterIncludeFlash)`
`void` `setTwitterIncludeHtml(boolean twitterIncludeHtml)`
`void` `setTwitterUserId(String twitterUserId)`
`void` `setTwitterUserName(String twitterUserName)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Author

    public Author(String name)

  Creates a new author.

  Parameters:
    `name` - the author's login name

Method Detail

### addRevision

    protected void addRevision(Revision revision)

  Adds a revision for this author; called by `Revision` constructor

  Parameters:
    `revision` - a revision committed by this author

### getName

    public String getName()

  Returns the author's login name.

  Returns:
    the author's login name

### getRevisions

    public SortedSet getRevisions()

  Returns all `Revision`s of this author, sorted from oldest to most recent.

  Returns:
    all revisions of this author

### getDirectories

    public SortedSet getDirectories()

  Returns all `Directory`s the author has committed a change to, sorted by name.

  Returns:
    a set of `Directory` objects

### compareTo

    public int compareTo(Object o)

  Compares the instance to another author, using their login names.

  Specified by:
    `compareTo` in interface `Comparable`
  See Also:
    `Comparable.compareTo(java.lang.Object)`

### equals

    public boolean equals(Object rhs)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getHomePageUrl

    public String getHomePageUrl()

### setHomePageUrl

    public void setHomePageUrl(String homePageUrl)

### getImageUrl

    public String getImageUrl()

### setImageUrl

    public void setImageUrl(String imageUrl)

### getRealName

    public String getRealName()

### setRealName

    public void setRealName(String realName)

### getEmail

    public String getEmail()

### setEmail

    public void setEmail(String email)

### getTwitterUserName

    public String getTwitterUserName()

### setTwitterUserName

    public void setTwitterUserName(String twitterUserName)

### getTwitterUserId

    public String getTwitterUserId()

### setTwitterUserId

    public void setTwitterUserId(String twitterUserId)

### isTwitterIncludeHtml

    public boolean isTwitterIncludeHtml()

### setTwitterIncludeHtml

    public void setTwitterIncludeHtml(boolean twitterIncludeHtml)

### isTwitterIncludeFlash

    public boolean isTwitterIncludeFlash()

### setTwitterIncludeFlash

    public void setTwitterIncludeFlash(boolean twitterIncludeFlash)